<template>


        <label :class="['filter-radio__gender', { 'filter-radio__gender--active':  option.property.value === active }]"
        v-for="(option, index) in options"
        :key="index"
        >
        <input class="filter-gender__input"
        :class="{ 'filter-gender__input--visible':  visibleRadio }" 
        :placeholder="placeholder" 
        :name="name" 
        :type="type"
        @change="inputHendler(option)" 
        :value="option.property.value"
        > 
            {{ option.property.value }}
        </label>

        
</template>

<script setup>

const emit = defineEmits(['update:modelValue']);

const active = ref('');

function inputHendler(value) {
    active.value = value.property.value; 
    emit('update:modelValue', value.variation.slug)

    console.log(value)

    
}


const props = defineProps({
    placeholder: {
        type: String,
        default: "",
    },
    name: {
        type: String,
        default: "currentColor",
    },
    type: {
        type: String,
        default: "radio",
    },
    modelValue: {
        type: String,
        default: ""
    },
    customClass: {
        type: String,
        default: "",
    },
    options: {
        type: [Array, Object],
        default() {
            return []
        }
    },
    visibleRadio: {
      type: Boolean,
      default: false
    }
});

</script>
